Summary: An archiving and compression utility for LHarc format archives.
Name: lha
Version: 1.14i
Release: 4.7.3.3.legacy
License: freeware
Group: Applications/Archiving
Source: http://www2m.biglobe.ne.jp/~dolphin/lha/prog/lha-114i.tar.gz
Patch: lha-114i-symlink.patch
Patch1: lha-114i-sec.patch
Patch2: lha-114i-malloc.patch
Patch3: lha-dir_length_bounds_check.patch
Patch4: rhel3-lha.patch
BuildRoot: %{_tmppath}/%{name}-root

%description
LHA is an archiving and compression utility for LHarc format archives.
LHA is mostly used in the DOS world, but can be used under Linux to
extract DOS files from LHA archives.

Install the lha package if you need to extract DOS files from LHA archives.

%prep
%setup -q -n lha-114i

%patch -p1 -b .symlink
%patch1 -p1 -b .sec
%patch2 -p1 -b .malloc
%patch3 -p0 -b .sec
%patch4 -p1 -b .sec

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}

install -m755 src/lha $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc PROBLEMS.euc README.euc MACHINES*
%{_bindir}/lha

%changelog
* Wed Sep 08 2004 Marc Deslauriers <marcdeslauriers@videotron.ca> 1.14i-4.7.3.3.legacy
- Rebuilt as Fedora Legacy security update

* Tue Aug 03 2004 Than Ngo <than@redhat.com> 1.14i-10.4
- another LHA buffer overflow

* Fri Jun 25 2004 Than Ngo <than@redhat.com> 1.14i-10.3
- fix LHA buffer overflow

* Wed May 19 2004 Than Ngo <than@redhat.com> 1.14i-10.2
- fix segmentation fault on ia64

* Wed Apr 21 2004 Than Ngo <than@redhat.com> 1.14i-10.1
- fix security vulnerabilities, CAN-2004-0234, CAN-2004-0235

* Tue May 20 2003 Than Ngo <than@redhat.com> 1.14i-10
- add patch file from Matt Wilson, bug #91206

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Dec 11 2002 Tim Powers <timp@redhat.com> 1.14i-8
- rebuild on all arches

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jun 19 2002 Than Ngo <than@redhat.com> 1.14i-6
- don't forcibly strip binaries

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Feb 27 2002 Than Ngo <than@redhat.com> 1.14i-4
- rebuild

* Tue Jan 29 2002 Than Ngo <than@redhat.com> 1.14i-3
- rebuild in rawhide

* Tue Sep 25 2001 Than Ngo <than@redhat.com> 1.14i-1
- update to 1.14i (bug #52779)

* Mon May 21 2001 Tim Powers <timp@redhat.com>
- rebuilt for the distro

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Wed Jul 12 2000 Than Ngo <than@redhat.de>
- rebuilt

* Mon Jul 03 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri May 12 2000 Tim Powers <timp@redhat.com>
- rebuilt for Powertools-7.0

* Wed Jan 19 2000 Bill Nottingham <notting@redhat.com>
- add some more docs

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 11)

* Tue Jan 24 1999 Michael Maher <mike@redhat.com>
- this package will never change.
- changed groups

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Wed Sep 23 1998 Jeff Johnson <jbj@redhat.com>
- add english doco.

* Sat Aug 15 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Oct 21 1997 Donnie Barnes <djb@redhat.com>
- removed man page, wasn't ASCII and caused more harm than good
- spec file cleanups

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
